<?php

namespace App\Models;

use CodeIgniter\Model;
 
class _role extends Model
{
    
    # STUB: Add a new role
    public function add_new($roleDetails)
    {
        $isAdded = false;
        
        
        return $isAdded;
    }
        
        
        
    # STUB: Get role description
    public function get_description($roleId)
    {
        $role = array();
        
        
        return $role;
    }
        
        
        
    # STUB: Get role permissions
    public function get_role_permissions($roleId)
    {
        $permissions = array();
        
        
        return $permissions;
    }
        
        
        
    # STUB: Users who have the given role
    public function get_role_users($roleId)
    {
        $users = array();
        
        
        return $users;
    }
        
        
        
    # STUB: The duration of the role for the user in the number of days.
    public function get_role_duration($userId, $roleId)
    {
        $duration = 0;
        
        
        return $duration;
    }
}
